
From: Yoichi Yuasa <yuasa@hh.iij4u.or.jp>

Use the existing macros instead.

Signed-off-by: Yoichi Yuasa <yuasa@hh.iij4u.or.jp>
Cc: Russell King <rmk@arm.linux.org.uk>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/serial/8250.c        |   10 +++++-----
 drivers/serial/au1x00_uart.c |   10 +++++-----
 drivers/serial/m32r_sio.c    |   10 +++++-----
 drivers/serial/pxa.c         |   10 +++++-----
 4 files changed, 20 insertions(+), 20 deletions(-)

diff -puN drivers/serial/8250.c~serial-eliminate-magic-numbers drivers/serial/8250.c
--- 25/drivers/serial/8250.c~serial-eliminate-magic-numbers	Mon Jun 13 15:14:36 2005
+++ 25-akpm/drivers/serial/8250.c	Mon Jun 13 15:14:36 2005
@@ -1689,22 +1689,22 @@ serial8250_set_termios(struct uart_port 
 
 	switch (termios->c_cflag & CSIZE) {
 	case CS5:
-		cval = 0x00;
+		cval = UART_LCR_WLEN5;
 		break;
 	case CS6:
-		cval = 0x01;
+		cval = UART_LCR_WLEN6;
 		break;
 	case CS7:
-		cval = 0x02;
+		cval = UART_LCR_WLEN7;
 		break;
 	default:
 	case CS8:
-		cval = 0x03;
+		cval = UART_LCR_WLEN8;
 		break;
 	}
 
 	if (termios->c_cflag & CSTOPB)
-		cval |= 0x04;
+		cval |= UART_LCR_STOP;
 	if (termios->c_cflag & PARENB)
 		cval |= UART_LCR_PARITY;
 	if (!(termios->c_cflag & PARODD))
diff -puN drivers/serial/au1x00_uart.c~serial-eliminate-magic-numbers drivers/serial/au1x00_uart.c
--- 25/drivers/serial/au1x00_uart.c~serial-eliminate-magic-numbers	Mon Jun 13 15:14:36 2005
+++ 25-akpm/drivers/serial/au1x00_uart.c	Mon Jun 13 15:14:36 2005
@@ -773,22 +773,22 @@ serial8250_set_termios(struct uart_port 
 
 	switch (termios->c_cflag & CSIZE) {
 	case CS5:
-		cval = 0x00;
+		cval = UART_LCR_WLEN5;
 		break;
 	case CS6:
-		cval = 0x01;
+		cval = UART_LCR_WLEN6;
 		break;
 	case CS7:
-		cval = 0x02;
+		cval = UART_LCR_WLEN7;
 		break;
 	default:
 	case CS8:
-		cval = 0x03;
+		cval = UART_LCR_WLEN8;
 		break;
 	}
 
 	if (termios->c_cflag & CSTOPB)
-		cval |= 0x04;
+		cval |= UART_LCR_STOP;
 	if (termios->c_cflag & PARENB)
 		cval |= UART_LCR_PARITY;
 	if (!(termios->c_cflag & PARODD))
diff -puN drivers/serial/m32r_sio.c~serial-eliminate-magic-numbers drivers/serial/m32r_sio.c
--- 25/drivers/serial/m32r_sio.c~serial-eliminate-magic-numbers	Mon Jun 13 15:14:36 2005
+++ 25-akpm/drivers/serial/m32r_sio.c	Mon Jun 13 15:14:36 2005
@@ -724,22 +724,22 @@ static void m32r_sio_set_termios(struct 
 
 	switch (termios->c_cflag & CSIZE) {
 	case CS5:
-		cval = 0x00;
+		cval = UART_LCR_WLEN5;
 		break;
 	case CS6:
-		cval = 0x01;
+		cval = UART_LCR_WLEN6;
 		break;
 	case CS7:
-		cval = 0x02;
+		cval = UART_LCR_WLEN7;
 		break;
 	default:
 	case CS8:
-		cval = 0x03;
+		cval = UART_LCR_WLEN8;
 		break;
 	}
 
 	if (termios->c_cflag & CSTOPB)
-		cval |= 0x04;
+		cval |= UART_LCR_STOP;
 	if (termios->c_cflag & PARENB)
 		cval |= UART_LCR_PARITY;
 	if (!(termios->c_cflag & PARODD))
diff -puN drivers/serial/pxa.c~serial-eliminate-magic-numbers drivers/serial/pxa.c
--- 25/drivers/serial/pxa.c~serial-eliminate-magic-numbers	Mon Jun 13 15:14:36 2005
+++ 25-akpm/drivers/serial/pxa.c	Mon Jun 13 15:14:36 2005
@@ -455,22 +455,22 @@ serial_pxa_set_termios(struct uart_port 
 
 	switch (termios->c_cflag & CSIZE) {
 	case CS5:
-		cval = 0x00;
+		cval = UART_LCR_WLEN5;
 		break;
 	case CS6:
-		cval = 0x01;
+		cval = UART_LCR_WLEN6;
 		break;
 	case CS7:
-		cval = 0x02;
+		cval = UART_LCR_WLEN7;
 		break;
 	default:
 	case CS8:
-		cval = 0x03;
+		cval = UART_LCR_WLEN8;
 		break;
 	}
 
 	if (termios->c_cflag & CSTOPB)
-		cval |= 0x04;
+		cval |= UART_LCR_STOP;
 	if (termios->c_cflag & PARENB)
 		cval |= UART_LCR_PARITY;
 	if (!(termios->c_cflag & PARODD))
_
